Draft Offset/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(26 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/ro|Name=Draft Offset|Name/ro=Draft Offset|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Draft → Offset|Shortcut=O S|SeeAlso=[[Part_Offset2D/ro|Part 2D Offset]]}}


{{Docnav
==Description==
|[[Draft_Mirror|Mirror]]
|[[Draft_Trimex|Trimex]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Mirror.svg
|IconR=Draft_Trimex.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Draft Offset
|Name/ro=Draft Offset
|MenuLocation=Draft → Offset
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
|Shortcut={{KEY|O}} {{KEY|S}}
|SeeAlso=[[Part_Offset2D/ro|Part 2D Offset]]
}}
</div>

<span id="Description"></span>
==Descriere==


<div class="mw-translate-fuzzy">
The Offset tool offsets the selected object by a given distance on the current [[Draft SelectPlane|work plane]]. If no object is selected, you will be invited to select one.
Instrumentul Decalare deplasează obiectele selectate la o o distanță dată față de durentul paln [[Draft SelectPlane|work plane]]. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.
</div>


[[Image:Draft_Offset_example.jpg|400px]]
[[Image:Draft_Offset_example.jpg|400px]]
{{Caption|Offsetting a Draft Wire}}


<span id="Usage"></span>
==How to use==
<div class="mw-translate-fuzzy">
== Cum se folosește ==
</div>


See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Select objects you wish to offset
# Press the {{KEY|[[Image:Draft Offset.png|16px]] [[Draft Offset]]}} button, or press {{KEY|O}} then {{KEY|S}} keys
# Click a point on the 3D view, or type a distance.


<div class="mw-translate-fuzzy">
==Options==
# Selectați obiectele pe care doriți să le compensați
# Apăsați butonul {{KEY|[[Image:Draft Offset.png|16px]] [[Draft Offset]]}} sau apăsați tasta {{KEY|O}} urmată apoi de tasta {{KEY|S}}
# Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.
</div>


<span id="Options"></span>
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
== Opţiuni ==
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of moving them. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.

* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
* Pressing {{KEY|SHIFT}} will [[Draft_Constrain|constrain]] you to the current segment, instead of picking the closest one.

* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
<div class="mw-translate-fuzzy">
* Apăsați tasta {{KEY|T}} sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul {{KEY|'''Continue''''}}. Dacă funcția continuă este activată, instrumentul Offset se va reporni după ce îl terminați sau închideți, permițându-vă să decalați sau să copiați obiectele altfel fără să apăsați din nou butonul Offset.
* Apăsând butonul {{KEY|ALT}} sau {{KEY|C}} sau făcând clic pe butonul {{KEY| '''Copiere'''}} va face o copie a obiectelor, în loc să le mutați. Dacă țineți apăsat {{KEY|ALT}} după ce faceți clic pe cel de-al doilea punct, veți putea plasa mai multe copii până când eliberați tasta {{KEY |ALT}}.
* Apăsați {{KEY|CTRL}} în timp ce desenați pentru a forța ancorarea [[Draft_Snap|snapping]] punctului dvs. către cea mai apropiată locație, independent de distanța.
* Apăsând pe {{KEY|SHIFT}}, [[Draft_Constrain|constrain]] vă va fi segmentul curent, în loc să-l alegeți cel mai apropiat.
* Apăsați butonul {{KEY | ESC}} sau butonul {{KEY | '''Anulare'''}} pentru a întrerupe comanda curentă.
</div>

==Notes==

* To create an offset version of a [[Draft_BSpline|Draft BSpline]] its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a [[Draft_BSpline|Draft BSpline]] the [[Part_Offset2D|Part Offset2D]] command should be used.
* The Draft Offset command cannot handle [[Draft_BezCurve|Draft BezCurves]]. Use the [[Part_Offset2D|Part Offset2D]] command instead.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The Offset tool can by used in [[macros]] and from the python console by using the following function:
== Scrip-Programare ==
</div>

<div class="mw-translate-fuzzy">
Instrumentul de Decalare poate fi folosit în [[macros]] și din consola Python utilizând următoarea funcție:
</div>


{{Code|code=
{{Code|code=
offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
offset (object,Vector,[copymode],[bind],[sym])
}}
}}


<div class="mw-translate-fuzzy">
* Offsets the given wire by applying the given Vector to its first vertex.
* Se decalează/compensează filamentul dat prin aplicarea Vectorului dat la primul său vârf.
* If copymode is True, another object is created, otherwise the same object gets offsetted.
* Dacă copymode este True, un alt obiect este creat, altfel același obiect devine offset.
* If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
* Dacă bind este adevărat și cu condiția ca filamentul să fie deschis, firele originale și cele compensate vor fi legate de punctele lor finale, formând o fațetă.
* If sym is True, the offset is made on both sides, the total width being the length of the given vector.
* Dacă sym este True, decalajul se face pe ambele fețe, lățimea totală fiind lungimea vectorului dat.
* Returns the offsetted object (or its copy if copymode as True).
* Returnează obiectul offset (sau copia lui dacă copymode este True).
</div>


Exempluː
Example:


{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD as App
import Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()
}}
}}


{{Docnav
|[[Draft_Mirror|Mirror]]
|[[Draft_Trimex|Trimex]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Mirror.svg
|IconR=Draft_Trimex.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 04:59, 9 January 2024

Draft Offset

poziția meniului
Draft → Offset
Ateliere
Draft, Arch
scurtătură
O S
Prezentat în versiune
-
A se vedea, de asemenea,
Part 2D Offset

Descriere

Instrumentul Decalare deplasează obiectele selectate la o o distanță dată față de durentul paln work plane. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

Offsetting a Draft Wire

Cum se folosește

See also: Draft Snap and Draft Constrain.

  1. Selectați obiectele pe care doriți să le compensați
  2. Apăsați butonul Draft Offset sau apăsați tasta O urmată apoi de tasta S
  3. Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.

Opţiuni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue'. Dacă funcția continuă este activată, instrumentul Offset se va reporni după ce îl terminați sau închideți, permițându-vă să decalați sau să copiați obiectele altfel fără să apăsați din nou butonul Offset.
  • Apăsând butonul ALT sau C sau făcând clic pe butonul Copiere va face o copie a obiectelor, în loc să le mutați. Dacă țineți apăsat ALT după ce faceți clic pe cel de-al doilea punct, veți putea plasa mai multe copii până când eliberați tasta ALT.
  • Apăsați CTRL în timp ce desenați pentru a forța ancorarea snapping punctului dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsând pe SHIFT, constrain vă va fi segmentul curent, în loc să-l alegeți cel mai apropiat.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.

Notes

  • To create an offset version of a Draft BSpline its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a Draft BSpline the Part Offset2D command should be used.
  • The Draft Offset command cannot handle Draft BezCurves. Use the Part Offset2D command instead.

Scripting

Scrip-Programare

Instrumentul de Decalare poate fi folosit în macros și din consola Python utilizând următoarea funcție:

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Se decalează/compensează filamentul dat prin aplicarea Vectorului dat la primul său vârf.
  • Dacă copymode este True, un alt obiect este creat, altfel același obiect devine offset.
  • Dacă bind este adevărat și cu condiția ca filamentul să fie deschis, firele originale și cele compensate vor fi legate de punctele lor finale, formând o fațetă.
  • Dacă sym este True, decalajul se face pe ambele fețe, lățimea totală fiind lungimea vectorului dat.
  • Returnează obiectul offset (sau copia lui dacă copymode este True).

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()